Name:          po4a
Version:       0.73
Release:       1mamba
Summary:       Tools to ease translations
Group:         Development/Tools
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/mquinson/po4a
Source:        https://github.com/mquinson/po4a.git/v%{version}/po4a-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Encode
BuildRequires: perl-Pod-Parser
BuildRequires: perl-Scalar-List-Utils
BuildRequires: perl-Syntax-Keyword-Try
BuildRequires: perl-YAML-Tiny
BuildRequires: perl-devel
## AUTOBUILDREQ-END

%description
The po4a (PO for anything) project goal is to ease translations (and more interestingly, the maintenance of translations) using gettext tools on areas where they were not expected like documentation.

%prep
%setup -q

%build
%{__perl} Build.PL installdirs=vendor

./Build

#./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
./Build install destdir=%{buildroot}

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&\*,g" | \
   sort -u > .packlist && rm $packlist

find %{buildroot}%{perl_vendorlib} \
   -type d -depth -exec rmdir {} 2>/dev/null \;

#strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
#for dir in `find %{buildroot} -type d | grep $strid`; do
#   echo %dir ${dir#%buildroot} >> .packlist
#done

#% find_lang %{name}

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc COPYING
#% doc NEWS README README.maintainers README.tests README.translators TODO

%changelog
* Tue Jun 18 2024 Automatic Build System <autodist@openmamba.org> 0.73-1mamba
- automatic version update by autodist

* Sun May 26 2024 Automatic Build System <autodist@openmamba.org> 0.72-1mamba
- automatic version update by autodist

* Sat Mar 02 2024 Automatic Build System <autodist@openmamba.org> 0.71-1mamba
- automatic version update by autodist

* Tue Jan 30 2024 Automatic Build System <autodist@openmamba.org> 0.70-1mamba
- automatic version update by autodist

* Sat May 06 2023 Automatic Build System <autodist@mambasoft.it> 0.69-1mamba
- automatic version update by autodist

* Sun May 30 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 0.63-1mamba
- update to 0.63

* Fri Sep 07 2018 Silvan Calarco <silvan.calarco@mambasoft.it> 0.54-1mamba
- update to 0.54

* Tue Oct 03 2017 Automatic Build System <autodist@mambasoft.it> 0.52-1mamba
- automatic version update by autodist

* Tue Nov 22 2016 Automatic Build System <autodist@mambasoft.it> 0.48-1mamba
- automatic version update by autodist

* Sun Oct 20 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45-2mamba
- don't own system directories

* Mon Sep 30 2013 Silvan Calarco <silvan.calarco@mambasoft.it> 0.45-1mamba
- package created by silvan using the webbuild interface
